package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWFIR1RWSVstupniKarty implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWFIR1RWSVstupniKarty() {}

    public static MWFIR1RWSVstupniKarty builder() {
        return new MWFIR1RWSVstupniKarty();
    }

    public MWFIR1RWSVstupniKarty rsAcct(String rsAcct) {
        params.put("RS_ACCT", rsAcct);
        return this;
    }

    public MWFIR1RWSVstupniKarty rsCardNbr(String rsCardNbr) {
        params.put("RS_CARD_NBR", rsCardNbr);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
